%if 0%{?fedora}
%bcond_with hadoop
%bcond_with solr
%endif
# https://bugzilla.redhat.com/show_bug.cgi?id=1193730
Name:          jena
Version:       3.0.1
Release:       1%{?dist}
Summary:       Java framework for building Semantic Web and Linked Data applications
License:       ASL 2.0
URL:           http://jena.apache.org
Source0:       http://www.apache.org/dist/jena/source/%{name}-%{version}-source-release.zip
# Prevent maven-plugin-plugin failure

Source1:       jena-3.0.1-SchemagenMojo.java
Source2:       jena-3.0.1-SchemagenOptions.java

BuildRequires: javacc
BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-annotations)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(com.github.jsonld-java:jsonld-java)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(commons-cli:commons-cli) >= 1.3
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache:apache:pom:)
BuildRequires: mvn(org.apache.commons:commons-collections4)
BuildRequires: mvn(org.apache.commons:commons-csv)
BuildRequires: mvn(org.apache.commons:commons-lang3)
BuildRequires: mvn(org.apache.derby:derby)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.httpcomponents:httpclient-cache)
BuildRequires: mvn(org.apache.httpcomponents:httpcore)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
# BuildRequires: mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires: mvn(org.apache.maven.shared:maven-verifier)
BuildRequires: mvn(org.apache.shiro:shiro-core)
BuildRequires: mvn(org.apache.thrift:libthrift)
BuildRequires: mvn(org.aspectj:aspectjrt)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)
BuildRequires: mvn(org.hsqldb:hsqldb)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
BuildRequires: mvn(xerces:xercesImpl)
BuildRequires: mvn(xml-apis:xml-apis)
BuildRequires: thrift

# Disable hadoop is broken
%if %{with hadoop}
BuildRequires: mvn(org.apache.hadoop:hadoop-common)
BuildRequires: mvn(org.apache.hadoop:hadoop-mapreduce-client-common)
%endif

%if %{with solr}
# Disable, don't support latest lucene/solr package
# jena-{spatial,text}  deps
BuildRequires: mvn(com.spatial4j:spatial4j)
BuildRequires: mvn(org.apache.lucene:lucene-analyzers-common:4.6.1)
BuildRequires: mvn(org.apache.lucene:lucene-core:4.6.1)
BuildRequires: mvn(org.apache.lucene:lucene-queryparser:4.6.1)
BuildRequires: mvn(org.apache.lucene:lucene-spatial:4.6.1)
BuildRequires: mvn(org.apache.solr:solr-solrj:4.6.1)
%endif

%if 0
# jena-elephas-stats deps
# Use NOT AVAILABLE fork of airline, available @ https://github.com/rvesse/airline
BuildRequires: mvn(com.github.rvesse:airline:0.9.1)
# jena-osgi deps
BuildRequires: mvn(org.apache.httpcomponents:httpclient-osgi)
BuildRequires: mvn(org.apache.httpcomponents:httpcore-osgi)
# The following modules use jena-{spatial,text}
# jena-fuseki1 deps (used, also, as test dep)
BuildRequires: mvn(commons-fileupload:commons-fileupload)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(org.apache.velocity:velocity)
BuildRequires: mvn(org.eclipse.jetty:jetty-security:8.1.14.v20131031)
BuildRequires: mvn(org.eclipse.jetty:jetty-server:8.1.14.v20131031)
BuildRequires: mvn(org.eclipse.jetty:jetty-servlet:8.1.14.v20131031)
BuildRequires: mvn(org.eclipse.jetty:jetty-servlets)
BuildRequires: mvn(org.eclipse.jetty:jetty-util:8.1.14.v20131031)
BuildRequires: mvn(org.eclipse.jetty:jetty-xml:8.1.14.v20131031)
# jena-fuseki2 deps (bundle JS libraries requires cleanup)
BuildRequires: mvn(org.apache.shiro:shiro-web)
BuildRequires: mvn(org.eclipse.jetty:jetty-webapp:9.1.1.v20140108)
# jena-fuseki2/jena-fuseki-core/src/main/webapp/fonts
BuildRequires: fontawesome-fonts
BuildRequires: fontawesome-fonts-web
BuildRequires: glyphicons-halflings-fonts
# Test deps
#BuildRequires: mvn(org.apache.mrunit:mrunit)
BuildRequires: mvn(org.xenei:contract-test-maven-plugin)
BuildRequires: mvn(org.xenei:junit-contracts)
%endif

# Main requires for Apache Jena
Requires:      mvn(com.fasterxml.jackson.core:jackson-annotations)
Requires:      mvn(com.fasterxml.jackson.core:jackson-databind)
Requires:      mvn(com.fasterxml.jackson.core:jackson-core)
Requires:      mvn(com.github.jsonld-java:jsonld-java)
Requires:      mvn(com.google.guava:guava)
Requires:      mvn(commons-codec:commons-codec)
Requires:      mvn(log4j:log4j:1.2.17)
Requires:      mvn(org.apache.commons:commons-csv)
Requires:      mvn(org.apache.commons:commons-lang3)
Requires:      mvn(org.apache.httpcomponents:httpclient)
Requires:      mvn(org.apache.httpcomponents:httpclient-cache)
Requires:      mvn(org.apache.httpcomponents:httpcore)
Requires:      mvn(org.apache.jena:jena-arq)
Requires:      mvn(org.apache.jena:jena-core)
Requires:      mvn(org.apache.jena:jena-base)
Requires:      mvn(org.apache.jena:jena-iri)
Requires:      mvn(org.apache.jena:jena-tdb)
Requires:      mvn(org.slf4j:jcl-over-slf4j)
Requires:      mvn(org.slf4j:slf4j-api)
Requires:      mvn(org.slf4j:slf4j-log4j12)
Requires:      mvn(org.apache.thrift:libthrift)
Requires:      mvn(xerces:xercesImpl)
Requires:      mvn(xml-apis:xml-apis)

BuildArch:     noarch

%description
Jena is a Java framework for building semantic web applications. It
provides tools and Java libraries to help you to develop semantic web
and linked-data apps, tools and servers.

%package arq
Summary:       Apache Jena - ARQ (SPARQL 1.1 Query Engine)

%description arq
ARQ is a SPARQL 1.1 query engine for Apache Jena.

%package base
Summary:       Apache Jena - Base Common Environment

%description base
This module contains non-RDF library code and the
common system runtime.

%package core
Summary:       Apache Jena - Core

%description core
Jena is a Java framework for building Semantic Web applications. It
provides a programmatic environment for RDF, RDFS and OWL, SPARQL and
includes a rule-based inference engine.

%package csv
Summary:       Apache Jena - Data Tables for RDF and SPARQL

%description csv
jena-csv is for getting CSVs into a form that is amenable
to Jena SPARQL processing, and doing so in a way that
is not specific to CSV files. It includes getting the
right architecture in place for regular table shaped data,
using the core abstraction of PropertyTable.

%if %{without hadoop}
%package elephas
Summary:       Apache Jena - Elephas - Parent POM

%description elephas
A collection of tools for working with RDF on the
Hadoop platform.

%package elephas-common
Summary:       Apache Jena - Elephas - Common API

%description elephas-common
Common code for RDF on Hadoop such as writable types
for RDF primitives.

%package elephas-io
Summary:       Apache Jena - Elephas - I/O

%description elephas-io
RDF Input/Output formats library for Hadoop.

%package elephas-mapreduce
Summary:       Apache Jena - Elephas - Map/Reduce

%description elephas-mapreduce
Contains some basic Map/Reduce implementations
for working with RDF on Hadoop.

%package elephas-stats
Summary:       Apache Jena - Elephas - Statistics Demo App

%description elephas-stats
A demo application that can be run on Hadoop to
produce a statistical analysis on arbitrary RDF inputs.
%endif

%package extras
Summary:       Apache Jena - Extras - Parent POM

%description extras
Extra packages for Jena development. This is the
parent module for the Jena Extra modules. These modules
provide utiliities and larger packages that
make Apache Jena development or usage  easier but that
do not fall within the standard Jena framework.

%package iri
Summary:       Apache Jena - IRI

%description iri
The IRI module provides an implementation of the IRI and
URI specifications (RFC 3987 and 3986) which are used across Jena
in order to comply with relevant W3C specifications for RDF and
SPARQL which require conformance to these specifications.

%package jdbc
Summary:       Apache Jena - JDBC Parent POM

%description jdbc
This is the parent module for the Jena JDBC modules.
These modules provide JDBC Type 4 drivers for in-memory and
TDB datasets as well as remote SPARQL endpoints.

%package jdbc-core
Summary:       Apache Jena - JDBC Core API

%description jdbc-core
This library provides core functionality for Jena JDBC.

%package jdbc-driver-mem
Summary:       Apache Jena - JDBC In-Memory Driver

%description jdbc-driver-mem
A Jena JDBC driver that uses an ARQ in-memory endpoint,
intended primarily for testing purposes.

%package jdbc-driver-tdb
Summary:       Apache Jena - JDBC TDB Driver

%description jdbc-driver-tdb
A Jena JDBC driver for use with the Jena TDB backend.

%package libs
Summary:       Apache Jena - Libraries POM

%description libs
Apache Jena - Libraries POM.

%package maven-tools
Summary:       Apache Jena - Maven Plugins, including schemagen

%description maven-tools
Plugins for Apache Maven to perform source management activities,
such as generating Java files from RDF vocabulary sources using
Jena's schemagen tool.

%package osgi
Summary:       Apache Jena - OSGi bundle

%description osgi
Embedding the main Jena modules (iri/core/arq/tdb)
in a single OSGi bundle.

%package osgi-parent
Summary:       Apache Jena - OSGi - Parent POM

%description osgi-parent
Apache Jena OSGi distribution and test.

%package parent
Summary:       Apache Jena - Parent POM

%description parent
Apache Jena - Parent POM.

%package querybuilder
Summary:       Apache Jena - Extras - Query Builder

%description querybuilder
A utility package to simplify the building of ARQ queries in code.
Provides both a simple builder interface for queries as well as
simple prepared statement processing.

%package sdb
Summary:       Apache Jena - SDB (SQL based triple store)

%description sdb
SDB is a persistence layer for use with Apache Jena that
uses an SQL database to store triples/quads.

%package permissions
Summary:       Apache Jena - Security Permissions

%description permissions
Security Permissions wrapper around Jena RDF implementation.

%package tdb
Summary:       Apache Jena - TDB (Native Triple Store)

%description tdb
TDB is a storage subsystem for Jena and ARQ, it
is a native triple store providing persisent disk
based storage of triples/quads.

%if %{with solr}
%package fuseki
Summary:       Apache Jena Fuseki 2 - Parent POM

%description fuseki
Apache Jena Fuseki - Parent POM.

%package fuseki1
Summary:       Apache Jena - Fuseki1 (SPARQL 1.1 Server)

%description fuseki1
Fuseki is a SPARQL 1.1 Server which provides query, update and
graph store protocol endpoints that can be used to expose
triple store(s) over HTTP.

%package fuseki-core
Summary:       Apache Jena - Fuseki 2 Server Engine

%description fuseki-core
Apache Jena - Fuseki Server Engine.

%package fuseki-server
Summary:       Apache Jena - Fuseki 2 Server Standalone Jar

%description fuseki-server
Fuseki server - combined jar with built-in webserver.

%package spatial
Summary:       Apache Jena - SPARQL Spatial Search

%description spatial
Jena Spatial provides a spatial index for Apache Jena. It gives
applications the ability to perform simple spatial searches within SPARQL
queries.  The spatial index used is currently Lucene spatial.

%package text
Summary:       Apache Jena - SPARQL Text Search

%description text
Apache Jena - SPARQL Text Search.

%package jdbc-driver-bundle
Summary:       Apache Jena - JDBC Driver Bundle

%description jdbc-driver-bundle
An artifact which bundles up the standard Jena JDBC drivers
into a single shaded JAR file to provide a convenience dependency.

%package jdbc-driver-remote
Summary:       Apache Jena - JDBC Remote Endpoint Driver

%description jdbc-driver-remote
A Jena JDBC driver for use with remote SPARQL endpoints.
%endif

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jena-%{version}
# Cleanup
find . -name "*.bat" -print -delete
find . -name "*.class" -delete
find . -name "*.jar" -print -delete
find . -name "*.js" -print -delete
rm -r jena-fuseki2/jena-fuseki-core/src/main/webapp/fonts

cp -p %SOURCE1 jena-maven-tools/src/main/java/org/apache/jena/tools/schemagen/SchemagenMojo.java
cp -p %SOURCE2 jena-maven-tools/src/main/java/org/apache/jena/tools/schemagen/SchemagenOptions.java

%pom_disable_module apache-jena
%pom_disable_module apache-jena-osgi
#%% pom_disable_module jena-osgi-test apache-jena-osgi
%pom_disable_module jena-fuseki-war jena-fuseki2
%pom_disable_module apache-jena-fuseki jena-fuseki2
%pom_disable_module jena-elephas-stats jena-elephas

%pom_disable_module jena-shaded-guava

%if %{without hadoop}
%pom_disable_module jena-elephas
%endif

%if %{without solr}
%pom_disable_module jena-fuseki1
%pom_disable_module jena-jdbc-driver-bundle jena-jdbc
%pom_disable_module jena-jdbc-driver-remote jena-jdbc
%pom_disable_module jena-fuseki2
%pom_disable_module jena-spatial
%pom_disable_module jena-text
%endif

%pom_xpath_remove "pom:dependency[pom:classifier = 'javadoc']" apache-jena
%pom_xpath_remove "pom:dependency[pom:classifier = 'sources']" apache-jena

#%% pom_remove_plugin -r :maven-assembly-plugin
%pom_remove_plugin :maven-dependency-plugin jena-parent
%pom_remove_plugin :maven-eclipse-plugin jena-parent
%pom_remove_plugin :maven-shade-plugin jena-parent

%pom_remove_plugin -r :maven-license-plugin jena-jdbc
%pom_remove_plugin :maven-source-plugin jena-jdbc
%pom_remove_plugin :maven-shade-plugin jena-jdbc/jena-jdbc-driver-bundle
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions" jena-jdbc/jena-jdbc-driver-bundle

%pom_xpath_remove "pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions" jena-permissions
%pom_remove_plugin :maven-dependency-plugin jena-spatial
%pom_remove_plugin :maven-eclipse-plugin jena-spatial
%pom_remove_plugin :maven-source-plugin jena-spatial
%pom_remove_plugin :maven-source-plugin jena-tdb
%pom_remove_plugin :maven-dependency-plugin jena-text
%pom_remove_plugin :maven-eclipse-plugin jena-text
%pom_remove_plugin :maven-source-plugin jena-text
%pom_remove_plugin :maven-source-plugin jena-core

%pom_remove_plugin :apache-rat-plugin jena-parent

for p in base iri parent sdb ; do
%pom_remove_plugin :maven-source-plugin jena-${p}
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions" jena-${p}
done

for p in core driver-mem driver-remote driver-tdb ; do
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions" jena-jdbc/jena-jdbc-${p}
done

%pom_remove_plugin :maven-source-plugin jena-csv
%pom_remove_plugin :maven-dependency-plugin jena-csv
%pom_remove_plugin :maven-eclipse-plugin jena-csv

%pom_remove_plugin :maven-dependency-plugin jena-sdb

%pom_remove_plugin :maven-enforcer-plugin jena-parent


%pom_xpath_inject "pom:dependency[pom:groupId = 'log4j']" '<version>${ver.log4j}</version>' jena-fuseki1
%pom_xpath_inject "pom:project/pom:dependencies/pom:dependency[pom:groupId = 'log4j']" '<version>${ver.log4j}</version>' jena-parent

# Not available test dep
#%% pom_remove_dep -r org.apache.mrunit:mrunit
%pom_remove_dep org.xenei:junit-contracts jena-core
%pom_remove_plugin org.xenei:contract-test-maven-plugin jena-core

%pom_remove_dep org.xenei:junit-contracts jena-extras/jena-querybuilder


# package com.fasterxml.jackson.core does not exist
%pom_add_dep com.fasterxml.jackson.core:jackson-core jena-arq
# package com.fasterxml.jackson.databind does not exist
%pom_add_dep com.fasterxml.jackson.core:jackson-databind jena-arq

for p in arq base ; do
%pom_change_dep :jena-shaded-guava com.google.guava:guava:18.0 jena-${p}
done
%pom_change_dep :jena-shaded-guava com.google.guava:guava:18.0 apache-jena-osgi/jena-osgi
sed -i "s|org.apache.jena.ext.com.google|com.google|" $(find . -name "*.java")

# com.github.andrewoma.dexx:dexx-collections:0.2 (depend on intellij libraries: com.intellij:annotations:12.0, org.jetbrains.kotlin:kotlin-stdlib:1.0.0-beta-3595)
%pom_remove_dep com.github.andrewoma.dexx:dexx-collections jena-base
rm -r jena-base/src/main/java/org/apache/jena/atlas/lib/persistent \
 jena-arq/src/main/java/org/apache/jena/sparql/core/mem
sed -i "s|return new DatasetGraphInMemory();|return null;|" \
 jena-arq/src/main/java/org/apache/jena/sparql/core/DatasetGraphFactory.java
sed -i '/DatasetGraphInMemory/d' \
 jena-arq/src/main/java/org/apache/jena/sparql/core/DatasetGraphFactory.java \
 jena-arq/src/main/java/org/apache/jena/sparql/core/DatasetGraphBaseFind.java

# Temporary build fix
#sed -i "s|LUCENE_46|LUCENE_4_6|" jena-text/src/main/java/org/apache/jena/query/text/TextIndexLucene.java
#sed -i "s/ | UnsupportedEncodingException//" jena-arq/src/main/java/org/apache/jena/riot/web/HttpOp.java

# (Re)Generate source code
(
  cd jena-arq/Grammar
  sed -i "s|javacc -OUTPUT_DIRECTORY|javacc.sh -OUTPUT_DIRECTORY|" grammar
  sh ./grammar
  sh ./gen-thrift BinaryRDF.thrift
  (
    cd sse
    sed -i "s|javacc -OUTPUT_DIRECTORY|javacc.sh -OUTPUT_DIRECTORY|" grammar-sse
    sed -i "s|/src/com/hp/hpl/jena/sparql/|/src/main/java/com/hp/hpl/jena/sparql/|" grammar-sse
# Unavailable resource
    sed -i '/copyright.inc/d' sse.jj
    sh ./grammar-sse
  )
# BROKEN: don't generate some .java files (e.g. JSON_ParserBase)
#  (
#    cd JSON
#    sed -i "s|javacc -OUTPUT_DIRECTORY|javacc.sh -OUTPUT_DIRECTORY|" json
#    sed -i "s|&& rm -f parser.jj||" json
#    sh ./json
#  )
)
#(
#  cd jena-core/Grammar
#  sed -i "s|javacc -OUTPUT_DIRECTORY|javacc.sh -OUTPUT_DIRECTORY|" turtle
#  sh ./turtle
#)

%mvn_package :jena jena-parents
%mvn_package :jena-parent jena-parents

%build

# Test skipped for uanavailable test deps
# More of the tests use a web connection
%mvn_build -s -f

%install
%mvn_install


(
 cd apache-jena/bin
 find . -type f -exec sed -i 's|LOGGING="${LOGGING:--Dlog4j.configuration=file:$JENA_HOME/jena-log4j.properties}"|LOGGING="${LOGGING:--Dlog4j.configuration=file:%{_sysconfdir}/jena-log4j.properties}"|g' {} \;
 find . -type f -exec sed -i 's|# If JENA_HOME|JENA_HOME="%{_datadir}/jena"|g' {} \;
)

mkdir -p %{buildroot}%{_datadir}/jena/lib
(
 cd %{buildroot}%{_datadir}/jena/lib
  ln -sf ../../java/commons-codec.jar commons-codec.jar
  ln -sf ../../java/commons-csv.jar commons-csv.jar
  ln -sf ../../java/commons-lang3.jar commons-lang3.jar
  ln -sf ../../java/guava.jar guava.jar
  ln -sf ../../java/httpcomponents/httpclient.jar httpclient.jar
  ln -sf ../../java/httpcomponents/httpclient-cache.jar httpclient-cache.jar
  ln -sf ../../java/httpcomponents/httpcore.jar httpcore.jar
  ln -sf ../../java/jackson-annotations.jar jackson-annotations.jar
  ln -sf ../../java/jackson-core.jar jackson-core.jar
  ln -sf ../../java/jackson-databind.jar jackson-databind.jar
  ln -sf ../../java/%{name}/jena-arq.jar jena-arq.jar
  ln -sf ../../java/%{name}/jena-base.jar jena-base.jar
  ln -sf ../../java/%{name}/jena-core.jar jena-core.jar
  ln -sf ../../java/%{name}/jena-iri.jar jena-iri.jar
  ln -sf ../../java/%{name}/jena-tdb.jar jena-tdb.jar
  ln -sf ../../java/jsonld-java/jsonld-java.jar jsonld-java.jar 
  ln -sf ../../java/libthrift.jar libthrift.jar
  ln -sf ../../java/log4j12-1.2.17.jar log4j-1.2.17.jar
  ln -sf ../../java/slf4j/jcl-over-slf4j.jar jcl-over-slf4j.jar
  ln -sf ../../java/slf4j/slf4j-api.jar slf4j-api.jar
  ln -sf ../../java/slf4j/slf4j-log4j12.jar slf4j-log4j12.jar
  ln -sf ../../java/xerces-j2.jar xercesImpl.jar
  ln -sf ../../java/xml-commons-apis.jar xml-apis.jar
)

# Strange permission. Should be 0622
mkdir -p %{buildroot}%{_sysconfdir}
install -pm 644 apache-jena/jena-log4j.properties %{buildroot}%{_sysconfdir}/

mkdir -p %{buildroot}%{_bindir}
#install -pm 755 apache-jena/bin/* %%{buildroot}%%{_bindir}/
install -pm 755 apache-jena/bin/arq %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/infer %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/iri %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/juuid %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/nquads %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/ntriples %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/qparse %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/rdfcat %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/rdfcompare %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/rdfcopy %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/rdfparse %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/rdfxml %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/riot %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/rset %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/rsparql %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/rupdate %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/schemagen %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/sparql %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/tdbbackup %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/tdbdump %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/tdbloader %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/tdbloader2 %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/tdbloader2common %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/tdbloader2data %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/tdbloader2index %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/tdbquery %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/tdbstats %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/tdbupdate %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/trig %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/turtle %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/uparse %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/update %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/utf8 %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/wwwdec %{buildroot}%{_bindir}/
install -pm 755 apache-jena/bin/wwwenc %{buildroot}%{_bindir}/

mkdir -p src-examples
cp -a jena-arq/src-examples/* src-examples/
cp -a jena-core/src-examples/* src-examples/
cp -a jena-tdb/src-examples/* src-examples/
cp -a jena-examples src-examples/

%files
%{_bindir}/*
%{_datadir}/jena/lib/commons-codec.jar
%{_datadir}/jena/lib/commons-csv.jar
%{_datadir}/jena/lib/commons-lang3.jar
%{_datadir}/jena/lib/guava.jar
%{_datadir}/jena/lib/httpclient.jar
%{_datadir}/jena/lib/httpclient-cache.jar
%{_datadir}/jena/lib/httpcore.jar
%{_datadir}/jena/lib/jackson-annotations.jar
%{_datadir}/jena/lib/jackson-core.jar
%{_datadir}/jena/lib/jackson-databind.jar
%{_datadir}/jena/lib/jcl-over-slf4j.jar
%{_datadir}/jena/lib/jsonld-java.jar
%{_datadir}/jena/lib/libthrift.jar
%{_datadir}/jena/lib/log4j-1.2.17.jar
%{_datadir}/jena/lib/slf4j-api.jar
%{_datadir}/jena/lib/slf4j-log4j12.jar
%{_datadir}/jena/lib/xercesImpl.jar
%{_datadir}/jena/lib/xml-apis.jar
%config(noreplace) %{_sysconfdir}/jena-log4j.properties
%doc README
%doc src-examples
%license LICENSE NOTICE

%files arq -f .mfiles-jena-arq
%{_datadir}/jena/lib/jena-arq.jar
%doc jena-arq/README.txt
%license jena-arq/LICENSE jena-arq/NOTICE

%files base -f .mfiles-jena-base
%{_datadir}/jena/lib/jena-base.jar
%license LICENSE NOTICE

%files core -f .mfiles-jena-core
%{_datadir}/jena/lib/jena-core.jar
%doc jena-core/README.txt
%license jena-core/LICENSE jena-core/NOTICE

%files csv -f .mfiles-jena-csv
%license jena-csv/LICENSE jena-csv/NOTICE

%if %{with hadoop}
%files elephas -f .mfiles-jena-elephas
%license jena-elephas/LICENSE jena-elephas/NOTICE

%files elephas-common -f .mfiles-jena-elephas-common
%license jena-elephas/LICENSE jena-elephas/NOTICE

%files elephas-io -f .mfiles-jena-elephas-io
%license jena-elephas/LICENSE jena-elephas/NOTICE

%files elephas-mapreduce -f .mfiles-jena-elephas-mapreduce
%license jena-elephas/LICENSE jena-elephas/NOTICE
%endif

%files extras -f .mfiles-jena-extras
%license LICENSE NOTICE

%files iri -f .mfiles-jena-iri
%dir %{_datadir}/%{name}
%dir %{_datadir}/jena/lib
%{_datadir}/jena/lib/jena-iri.jar
%doc jena-iri/Jena-IRI-changes.txt jena-iri/NotesAFS.txt jena-iri/TODO.txt
%license jena-iri/LICENSE jena-iri/NOTICE

%files jdbc -f .mfiles-jena-jdbc
%doc jena-jdbc/README
%license jena-jdbc/LICENSE jena-jdbc/NOTICE

%files jdbc-core -f .mfiles-jena-jdbc-core
%license jena-jdbc/jena-jdbc-core/LICENSE jena-jdbc/jena-jdbc-core/NOTICE

%files jdbc-driver-mem -f .mfiles-jena-jdbc-driver-mem
%license jena-jdbc/jena-jdbc-driver-mem/LICENSE jena-jdbc/jena-jdbc-driver-mem/NOTICE

%files jdbc-driver-tdb -f .mfiles-jena-jdbc-driver-tdb
%license jena-jdbc/jena-jdbc-driver-tdb/LICENSE jena-jdbc/jena-jdbc-driver-tdb/NOTICE

%files libs -f .mfiles-apache-jena-libs
%license LICENSE NOTICE

%files maven-tools -f .mfiles-jena-maven-tools
%doc jena-maven-tools/README
%license jena-maven-tools/LICENSE

%files parent -f .mfiles-jena-parents
%doc README
%license jena-parent/LICENSE jena-parent/NOTICE

%files querybuilder -f .mfiles-jena-querybuilder
%doc jena-extras/jena-querybuilder/README.md
%license jena-extras/jena-querybuilder/LICENSE

%files sdb -f .mfiles-jena-sdb
%doc jena-sdb/README.txt
%license jena-sdb/LICENSE jena-sdb/NOTICE

%files permissions -f .mfiles-jena-permissions
%doc jena-permissions/readme.md
%license jena-permissions/LICENSE jena-permissions/NOTICE

%files tdb -f .mfiles-jena-tdb
%{_datadir}/jena/lib/jena-tdb.jar
%license jena-tdb/LICENSE jena-tdb/NOTICE

%if %{with solr}
%files fuseki -f .mfiles-jena-fuseki
%license jena-fuseki2/LICENSE jena-fuseki2/NOTICE

%files fuseki1 -f .mfiles-jena-fuseki1
%license jena-fuseki1/LICENSE jena-fuseki1/NOTICE

%files fuseki-core -f .mfiles-jena-fuseki-core
%license jena-fuseki2/LICENSE jena-fuseki2/NOTICE

%package fuseki-server -f .mfiles-jena-fuseki-server
%license jena-fuseki2/LICENSE jena-fuseki2/NOTICE

%files spatial -f .mfiles-jena-spatial
%doc jena-spatial/README.txt
%license jena-spatial/LICENSE jena-spatial/NOTICE

%files text -f .mfiles-jena-text
%license jena-text/LICENSE jena-text/NOTICE

%files jdbc-driver-bundle -f .mfiles-jena-jdbc-driver-bundle
%license jena-jdbc/jena-jdbc-driver-bundle/LICENSE jena-jdbc/jena-jdbc-driver-bundle/NOTICE

%files jdbc-driver-remote -f .mfiles-jena-jdbc-driver-remote
%license jena-jdbc/jena-jdbc-driver-remote/LICENSE jena-jdbc/jena-jdbc-driver-remote/NOTICE
%endif

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Wed Dec 23 2015 gil cattaneo <puntogil@libero.it> 3.0.1-1
- update to 3.0.1

* Sun Aug 23 2015 gil cattaneo <puntogil@libero.it> 3.0.0-1
- update to 3.0.0

* Sat Apr 11 2015 gil cattaneo <puntogil@libero.it> 2.13.0-1
- initial rpm
